Subject: Business Air News Bulletin - May 2, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 03 May 2023 05:03:55 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Singapore gains blended SAF with Jet Aviation and FlyORO

Jet Aviation is now providing FlyORO's custom blends of SAF at its Seletar airport FBO in Singapore. Customers can choose any percentage blend that meets their specific requirements.

Building begins on Hawthorne's Chicago Executive expansion

The new facility is in compliance with the airport's master plan, which has been approved by joint owners, the Village of Wheeling and the City of Prospect Heights. Work is expected to be completed by the end of the year.

Million Air takes over BHM east side FBO

Million Air's plan includes a new 10,000 sq ft terminal to serve pilots, aircraft owners and guests, military and corporate business travellers, and a new 24,000 sq ft community lite aviation hangar for smaller aircraft.

Crew Chiefs remit now spans six continents

Crew Chiefs has scaled up globally with tech reps, each with decades of experience, while following ISO 9001 protocols and leveraging its real-time software customisation and QA. It works as far as Australia and Asia.

UA Connected FMS gathers up TSO certification

UA's Connectivity Ecosystem offers connected flight management system capabilities with FlightPartner, which supports weather-driven smart flight planning, two-way flight plan exchanges in-flight and on the ground.

Alton highlights this year's importance for AAM progress

Alton's market study notes that North America, which accounts for around 55 per cent of total eVTOL orders, is driving the growth of the AAM sector, with orders for three times more air vehicles than the next region. 

To unsubscribe, please contact [email-masked].